Loading...
Searching...
No Matches
IVideoDriver.h File Reference
`#include "rect.h"`
`#include "SColor.h"`
`#include "ITexture.h"`
`#include "irrArray.h"`
`#include "matrix4.h"`
`#include "plane3d.h"`
`#include "dimension2d.h"`
`#include "position2d.h"`
`#include "SMaterial.h"`
`#include "IMeshBuffer.h"`
`#include "triangle3d.h"`
`#include "EDriverTypes.h"`
`#include "EDriverFeatures.h"`
`#include "SExposedVideoData.h"`

Go to the source code of this file.

## Classes

struct | irr::video::IRenderTarget
class | irr::video::IVideoDriver
| Interface to driver which is able to perform 2d and 3d graphics functions. More...
struct | irr::video::SOverrideMaterial

## Namespaces

namespace | irr
| Everything in the Irrlicht Engine can be found in this namespace.
namespace | irr::io
| This namespace provides interfaces for input/output: Reading and writing files, accessing zip archives, xml files, ...
namespace | irr::scene
| All scene management can be found in this namespace: Mesh loading, special scene nodes like octrees and billboards, ...
namespace | irr::video
| The video namespace contains classes for accessing the video driver. All 2d and 3d rendering is done here.

## Enumerations

enum | irr::video::E_FOG_TYPE { irr::video::EFT_FOG_EXP =0 , irr::video::EFT_FOG_LINEAR , irr::video::EFT_FOG_EXP2 }
| Enum for the types of fog distributions to choose from. More...
enum | irr::video::E_LOST_RESOURCE { irr::video::ELR_DEVICE = 1 , irr::video::ELR_TEXTURES = 2 , irr::video::ELR_RTTS = 4 , irr::video::ELR_HW_BUFFERS = 8 }
| enumeration for signaling resources which were lost after the last render cycle More...

enum

irr::video::E_RENDER_TARGET {
irr::video::ERT_FRAME_BUFFER =0 , irr::video::ERT_RENDER_TEXTURE , irr::video::ERT_MULTI_RENDER_TEXTURES , irr::video::ERT_STEREO_LEFT_BUFFER ,
irr::video::ERT_STEREO_RIGHT_BUFFER , irr::video::ERT_STEREO_BOTH_BUFFERS , irr::video::ERT_AUX_BUFFER0 , irr::video::ERT_AUX_BUFFER1 ,
irr::video::ERT_AUX_BUFFER2 , irr::video::ERT_AUX_BUFFER3 , irr::video::ERT_AUX_BUFFER4
}

| Special render targets, which usually map to dedicated hardware. More...
enum | irr::video::E_TRANSFORMATION_STATE { irr::video::ETS_VIEW = 0 , irr::video::ETS_WORLD , irr::video::ETS_PROJECTION , irr::video::ETS_TEXTURE_0 , irr::video::ETS_TEXTURE_1 , irr::video::ETS_TEXTURE_2 , irr::video::ETS_TEXTURE_3 , irr::video::ETS_COUNT }
| enumeration for geometry transformation states More...

## Variables

const c8 *const | irr::video::FogTypeNames []

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0